<?xml version="1.0" encoding="ISO-8859-1"?>
<!DOCTYPE lire:report-spec PUBLIC
  "-//LogReport.ORG//DTD Lire Report Specification Markup Language V1.0//EN"
  "http://www.logreport.org/LRSML/1.0/lrsml.dtd">
<lire:report-spec xmlns:lire="http://www.logreport.org/LRSML/"
 id="messages-by-facility" superservice="syslog">

 <lire:title>Messages by Facility Syslog Report </lire:title>

 <lire:description>
  <para>This report specification will generate a report showing the
   number of messages logged to each facility.
  </para>
 </lire:description>

 <lire:display-spec>
  <lire:title>Messages Logged by Facility</lire:title>
 </lire:display-spec>

 <lire:report-calc-spec>
  <lire:group sort="-msg_count">
   <lire:field name="facility"/>
   <lire:count name="msg_count"/>
  </lire:group>
 </lire:report-calc-spec>

</lire:report-spec>
